summaryrefslogtreecommitdiff
path: root/dev-python/pyalsa
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-17 13:23:51 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-17 13:23:51 +0000
commit9505caeec7f7ad9c7954588e19aef5e8ce5d4058 (patch)
treeb1a9adb48b51ca2ad1d12eb308e932e5da3df106 /dev-python/pyalsa
parentb20430a929939ff90b7fdc6fdd22c6aa8b73a315 (diff)
downloadbaldeagleos-repo-9505caeec7f7ad9c7954588e19aef5e8ce5d4058.tar.gz
baldeagleos-repo-9505caeec7f7ad9c7954588e19aef5e8ce5d4058.tar.xz
baldeagleos-repo-9505caeec7f7ad9c7954588e19aef5e8ce5d4058.zip
Adding metadata
Diffstat (limited to 'dev-python/pyalsa')
-rw-r--r--dev-python/pyalsa/pyalsa-1.2.7.ebuild25
1 files changed, 22 insertions, 3 deletions
diff --git a/dev-python/pyalsa/pyalsa-1.2.7.ebuild b/dev-python/pyalsa/pyalsa-1.2.7.ebuild
index 2bc7f484b23c..0aa7057a25f4 100644
--- a/dev-python/pyalsa/pyalsa-1.2.7.ebuild
+++ b/dev-python/pyalsa/pyalsa-1.2.7.ebuild
@@ -5,7 +5,7 @@ EAPI=8
PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-inherit distutils-r1 flag-o-matic
+inherit distutils-r1
DESCRIPTION="Python bindings for ALSA library"
HOMEPAGE="https://alsa-project.org/wiki/Main_Page"
@@ -14,7 +14,8 @@ SRC_URI="https://www.alsa-project.org/files/pub/pyalsa/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv sparc x86"
-IUSE=""
+# Needs access to system's alsa configuration/devices
+RESTRICT="test"
RDEPEND="media-libs/alsa-lib"
DEPEND="${RDEPEND}
@@ -22,4 +23,22 @@ DEPEND="${RDEPEND}
PATCHES=( "${FILESDIR}/${PN}-1.1.6-no-build-symlinks.patch" )
-# Testsuite appears to require installed state
+python_test() {
+ cd "${T}" || die
+
+ shopt -s nullglob
+ local test
+ local failed
+ for test in "${S}"/test/*.py ; do
+ ${EPYTHON} "${test}" || {
+ eerror "${test} failed with ${EPYTHON}"
+ failed=1
+ break
+ }
+ done
+ shopt -u nullglob
+
+ if [[ ${failed} -eq 1 ]] ; then
+ die "${test} failed with ${EPYTHON}"
+ fi
+}